## python-openerz-api 0.3.0

=== requirements.txt ===
requests ~= 2.23.0

=== debian/changelog ===
python-openerz-api (0.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Nov 2024 19:41:59 +0000

python-openerz-api (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087186)

 -- Edward Betts <edward@4angle.com>  Sat, 09 Nov 2024 12:02:18 +0000

=== debian/control ===
Source: python-openerz-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-testfixtures <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/misialq/openerz-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-openerz-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-openerz-api.git

Package: python3-openerz-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for accessing Zurich's waste disposal schedule
 This library enables interaction with Zurich's waste management services,
 allowing users to obtain the next pickup date for various waste types. It
 accesses the OpenERZ API to gather data from Entsorgung und Recycling Zürich
 (ERZ), providing timely and localized waste disposal information. Users can
 specify the postal code and type of waste, such as paper, cardboard, or
 organic material, making it possible to programmatically check waste
 collection schedules under specific parameters.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openerz-api
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf openerz_api.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-testfixtures,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-openerz-api-$1\.tar\.gz/ \
  https://github.com/misialq/openerz-api/tags .*/v?(\d\S+)\.tar\.gz
